#include<bits/stdc++.h>

#define ll long long
#define begin begin()
#define end end()
#define pb push_back
#define in insert
#define lldef ll N=0,M=0,K=0;
#define mk make_pair

using namespace std;

vector<int> solve(vector<int>A){
    vector<pair<ll,ll>>V;
    ll I=0;
    for(auto it:A){
        V.push_back(make_pair(it,I));
        I++;
    }
    sort(V.begin,V.end);
    vector<int>ANS;
    ll N=V.size();
    for(ll i=0; i<N; i+=2){
        ANS.pb(V[i].second);
    }
    for(ll i=1; i<N; i+=2){
        ANS.pb(V[i].second);
    }
    return ANS;
}
int main(){
    return 0;
}
